Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08006 Sound Major Always Jun 13, 2021, 15:54 Jun 23, 2021, 04:10
Tester stengun View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS Linux (64-bit)
Status [?] Resolved Driver neogeo.cpp
Version 0.232 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit 102f311 Github Pull Request #
Summary 08006: mslug: Background music has missing parts
Description While playing the game, certain background music (basically the ones with lead guitar) have missing parts that are not played.
The effect is pretty clear in stage 2 and stage 4, some guitar parts are missing.

Original track for stage 2 (recorded from real hardware)


Original track for stage 4 (recorded from real hardware)


I Uploaded a zipfile with the same two tracks recorded in mame 232
Steps To Reproduce Load mslug
Play mslug until stage 2 or 4.
Hear the music played.
Additional Information I also tried to test with the latest master, the bug still reproduces.
I did a bisect and the first commit that shows odd music behavior is https://github.com/mamedev/mame/commit/95869d57181d6b6d38ec9511374c2c3e1de9f6cf . This was kinda expected, since YM chips are being reworked. From mame 230 to 232, the music was playing slightly better due to other fixes being pushed in. The last issue that directly relates to this was https://mametesters.org/view.php?id=7956 and that was fixed, but it still sounds a bit odd (although better than mame 231).

There are very similar bugs in neogeo.cpp but in other sets that shows a compatible behavior with this one.
https://mametesters.org/view.php?id=8004
https://mametesters.org/view.php?id=7996
Github Commit
Flags Verified with Original
Regression Version 0.230
Affected Sets / Systems mslug
Attached Files
zip file icon mslug_wrong_tracks.zip (2,880,058 bytes) Jun 13, 2021, 15:54 Uploaded by stengun
metal slug stage2 and 4 tracks mame 232
zip file icon mslug_savestates.zip (65,561 bytes) Jun 13, 2021, 16:25 Uploaded by stengun
Relationships
There are no relationship linked to this issue.
Notes
7
User avatar
No.19011
aaron
Developer
Jun 22, 2021, 01:36
I am unable to load any of the save state files with official mame-0232 or 231 or 230. Anyone else?
User avatar
No.19012
aaron
Developer
Jun 22, 2021, 02:50
Never mind, I was able to grind my way up to at least level 2.
User avatar
No.19013
aaron
Developer
Jun 22, 2021, 03:20
edited on: Jun 22, 2021, 03:24
Ok think I fixed it. Can you try https://aarongiles.com/for/mame/mame-neogeo-test.7z (64-bit Windows binary) and let me know if it fixes all the sound problems here? At least the guitar part in stage 2 sounds better to my ears. And maybe in some of the other games that were reporting issues?
User avatar
No.19014
danylopez123
Tester
Jun 22, 2021, 04:35
edited on: Jun 22, 2021, 04:37
aaron, stengun, i apologize if i jumped the gun too fast there but..
I did tried the build you uploaded and it seems that the lead guitar sounds are fixed.
If anyone didin't knew this yet, with the Neo Geo games, using the Universe Bios, (I always use the latest version) hold Buttons A B and C while booting the game to enter in the Bios menu, you will see the "Jukebox Player" option, this is where you can play the music from the Neo Geo games.
User avatar
No.19015
aaron
Developer
Jun 22, 2021, 07:41
Thank you danylopez123, I didn't know about that!
User avatar
No.19020
stengun
Tester
Jun 22, 2021, 15:18
Sorry being late to the party, I did try the latest master on linux having seen the commit is already there. Can't try the windows binary :(
I can confirm that the issue is fixed also here on linux, I took a step further and I also tried the other mslug games that presented this behavior and they work well too.

Also aaron, sorry for the save states not working. I used mame 0.232 on linux and they work when loaded from there. Maybe is that the problem, I'll check to see if it could be a bug or not.
Thank you for your hard work.

@danylopez123 nice information tho! didn't know about unibios, I used my own lua plugin to play music in different games with different systems. I suppose I did too much work here :P
User avatar
No.19023
danylopez123
Tester
Jun 23, 2021, 04:10
edited on: Jun 23, 2021, 04:15
No Problem aaron and stengun!
Glad that i helped, you learn something new everyday.

At least, stengun, you did a good job making that lua script :P
Hopefully with this, when it comes to capture any Neo Geo game's audio, this will save time.